textures/nookdm2/dm4_support01
{
	surfaceparm metalsteps
	{
		map textures/effects/tinfx2d.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/nookdm2/dm4_support01.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/nookdm2/dm4_support01_fx
{
	surfaceparm metalsteps
	{
		map textures/effects/tinfx2d.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/nookdm2/dm4_support01_fx.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/nookdm2/dm4_cable
{
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nomipmaps
	deformVertexes wave 256 sin 0 1 0 0.3 
	{
		map textures/nookdm2/dm4_cable.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/nookdm2/dm4_zapscroll
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	q3map_surfacelight 300
	{
		map textures/nookdm2/dm4_zapscroll.tga
		blendfunc add
		rgbGen wave triangle 0.8 2 0 7 
		tcMod scroll 0 1
	}
	{
		map textures/nookdm2/dm4_zapscroll.tga
		blendfunc add
		rgbGen wave triangle 1 1.4 0 5 
		tcMod scale -1 1
		tcMod scroll 0 1
	}
	{
		map textures/nookdm2/dm4_zapscroll2.tga
		blendfunc add
		rgbGen wave triangle 1 1.4 0 6.3 
		tcMod scale -1 1
		tcMod scroll 2 1
	}
	{
		map textures/nookdm2/dm4_zapscroll2.tga
		blendfunc add
		rgbGen wave triangle 1 1.4 0 7.7 
		tcMod scroll -1.3 1
	}
}

textures/nookdm2/dm4_granit
{
	{
		map textures/effects/tinfx2.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/nookdm2/dm4_granit.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/nookdm2/dm4_grate03
{
	surfaceparm metalsteps
	surfaceparm nomarks
	cull disable
	nomipmaps
	qer_trans 0.7
	{
		map textures/nookdm2/dm4_grate03.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/nookdm2/dm4_grate02
{
	surfaceparm metalsteps
	surfaceparm nomarks
	cull disable
	nomipmaps
	qer_trans 0.7
	{
		map textures/nookdm2/dm4_grate02.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/nookdm2/dm4_trim01
{
	qer_editorimage textures/nookdm2/dm4_trim01.tga
	q3map_lightimage textures/nookdm2/dm4_trim01_glow.tga
	q3map_surfacelight 750
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/nookdm2/dm4_trim01.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/nookdm2/dm4_trim01_glow.tga
		blendfunc add
		rgbGen identity
	}
}

textures/nookdm2/dm4_trim01_sfx
{
	qer_editorimage textures/nookdm2/dm4_trim01.tga
	q3map_lightimage textures/nookdm2/dm4_trim01_glow.tga
	q3map_surfacelight 200
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/nookdm2/dm4_trim01.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/nookdm2/dm4_trim01_sfx.tga
		blendfunc add
		rgbGen wave inversesawtooth 0.2 0.5 0 5 
	}
	{
		map textures/nookdm2/dm4_trim01_glow.tga
		blendfunc add
		rgbGen wave inversesawtooth 0.2 0.5 0 5 
	}
}

textures/nookdm2/dm4_steam01
{
	qer_editorimage textures/nookdm2/dm4_steam_01_img.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull disable
	deformVertexes autosprite2
	deformVertexes wave 50 sin 0 3 0 0.3 
	deformVertexes move 0.3 0.1 0 sin 0 0.5 0 0.2 
	{
		map textures/nookdm2/dm4_steam01.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0 0.3
	}
}

textures/nookdm2/dm4_water
{
	qer_editorimage textures/liquids/pool3d_3c.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin 0.5 0.5 0 0.5 
	qer_trans 0.5
	q3map_globaltexture
	{
		map textures/liquids/pool3d_3c.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod transform 1.5 0 1.5 1 1 2
		tcMod scroll -0.05 -0.001
	}
	{
		map textures/liquids/pool3d_6c.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod transform 0 1.5 1 1.5 2 1
		tcMod scroll 0.025 -0.001
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/nookdm2/dm4_fog
{
	qer_editorimage textures/sfx/fog_black.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.3
	fogparms ( 0 0 0 ) 384
}

textures/nookdm2/dm4_metal_plate_shiny
{
	surfaceparm metalsteps
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/nookdm2/dm4_metal_plate_shiny.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/nookdm2/dm4_metal_plate_ow2
{
	surfaceparm metalsteps
	{
		map textures/nookdm2/dm4_metal_plate_ow2_fx.tga
		rgbGen identity
		tcMod scroll 0 1
		tcMod turb 0.5 0.5 0 3
	}
	{
		map textures/nookdm2/dm4_metal_plate_ow2.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/nookdm2/dm4_metal_plate_ow
{
	surfaceparm metalsteps
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/nookdm2/dm4_metal_plate_ow.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/nookdm2/dm4_metal_plate
{
	surfaceparm metalsteps
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/nookdm2/dm4_metal_plate.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/nookdm2/dm4_evaq
{
	nopicmip
	{
		map $lightmap 
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/nookdm2/dm4_evaq.tga
		blendfunc add
		rgbGen identity
		tcMod scroll 0.1 0
	}
	{
		map textures/nookdm2/nook_banner_nosie.tga
		blendfunc add
		rgbGen wave noise 0.5 0.5 0 7 
		tcMod scale 2 2
	}
}

textures/nookdm2/dm4_grate_ow
{
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nomipmaps
	qer_trans 0.7
	{
		map textures/nookdm2/dm4_grate_ow.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/nookdm2/dm4_grate_trans
{
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nomipmaps
	qer_trans 0.7
	{
		map textures/nookdm2/dm4_grate_trans.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/nookdm2/dm4_pewter_glow
{
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/nookdm2/dm4_pewter_glow.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/nookdm2/dm4_pewter_glow_fx.tga
		blendfunc add
		rgbGen wave square 0.5 0.3 0 4 
	}
	{
		map textures/nookdm2/dm4_pewter_glow_fx.tga
		blendfunc add
		rgbGen wave sawtooth 0.5 0.3 0 3.5 
	}
}

textures/nookdm2/dm4_pewter_lamp01
{
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 1000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/nookdm2/dm4_pewter_lamp01.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/nookdm2/dm4_pewter_lamp01_glow.tga
		blendfunc add
		rgbGen identity
	}
}

textures/nookdm2/dm4_pewter_nonsolid
{
	qer_editorimage textures/nookdm2/dm4_pewter.tga
	surfaceparm nonsolid
	surfaceparm trans
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/nookdm2/dm4_pewter.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/nookdm2/dm4_pewter_warn
{
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/nookdm2/dm4_pewter_warn.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		alphaGen lightingSpecular
	}
}

textures/nookdm2/dm4_pewter_spec
{
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/nookdm2/dm4_pewter_spec.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		alphaGen lightingSpecular
	}
}

textures/nookdm2/dm4_spikestrip
{
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nomipmaps
	{
		map textures/nookdm2/dm4_spikestrip.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/nookdm2/dm4_glowlight
{
	qer_editorimage textures/nookdm2/dm4_glowlight_.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	qer_trans 0.7
	{
		map textures/nookdm2/dm4_glowlight.tga
		blendfunc blend
		rgbGen identity
	}
}

textures/nookdm2/dm4_scrolllight
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/nookdm2/dm4_scrolllight_glow2.tga
		rgbGen identity
		tcMod scroll -0.5 0
	}
	{
		map textures/nookdm2/dm4_scrolllight.tga
		blendfunc gl_one gl_one_minus_src_alpha
		rgbGen identity
	}
	{
		map textures/nookdm2/dm4_scrolllight_glow.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1 
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/nookdm2/fan01
{
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		clampmap textures/nookdm2/fan01.tga
		tcMod rotate -180
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/nookdm2/wall01_lamp01
{
	q3map_lightimage textures/nookdm2/wall01_lamp01_blend.tga
	q3map_surfacelight 700
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/nookdm2/wall01_lamp01.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/nookdm2/wall01_lamp01_blend.tga
		blendfunc add
		rgbGen identity
	}
}

textures/nookdm2/wall01_lamp02
{
	q3map_lightimage textures/nookdm2/wall01_lamp02_blend.tga
	q3map_surfacelight 700
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/nookdm2/wall01_lamp02.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/nookdm2/wall01_lamp02_blend.tga
		blendfunc add
		rgbGen identity
	}
}

textures/nookdm2/wall01_lamp03
{
	q3map_lightimage textures/nookdm2/wall01_lamp03_glow.tga
	q3map_surfacelight 700
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/nookdm2/wall01_lamp03.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/nookdm2/wall01_lamp03_glow.tga
		blendfunc add
		rgbGen identity
	}
}

textures/nookdm2/stair_frontside03
{
	q3map_lightimage textures/nookdm2/stair_frontside03_glow.tga
	q3map_surfacelight 1500
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/nookdm2/stair_frontside03.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/nookdm2/stair_frontside03_glow.tga
		blendfunc add
		rgbGen identity
	}
}

textures/nookdm2/stair_upside02
{
	{
		map textures/effects/tinfx2c.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/nookdm2/stair_upside02.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/nookdm2/stair_frontside02
{
	{
		map textures/effects/tinfx2c.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/nookdm2/stair_frontside02.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/nookdm2/nook_banner02
{
	q3map_lightimage textures/nookdm2/nook_banner02.tga
	surfaceparm nomarks
	nopicmip
	q3map_surfacelight 300
	{
		map $lightmap 
		rgbGen identity
		tcGen environment 
	}
	{
		clampmap textures/nookdm2/nook_banner02.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0 0.7 
		tcMod stretch triangle 1 0.2 0 0.7 
	}
	{
		clampmap textures/nookdm2/nook_banner02.tga
		blendfunc add
		rgbGen wave sin 0.8 0.2 0 0.7 
	}
	{
		map textures/nookdm2/nook_banner_nosie.tga
		blendfunc add
		rgbGen identity
		tcMod scale 2 2
		tcMod scroll 1.2 -0.7
	}
}

textures/nookdm2/unit9
{
	qer_editorimage textures/nookdm2/unit.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm sky
	q3map_surfacelight 5
	q3map_sun 0.682353 0.74902 0.792157 100 256 20
	skyParms env/unit9nook 300 -
}

textures/nookdm2/stripe_white
{
	qer_editorimage textures/nookdm2/line_white.tga
	q3map_lightimage textures/nookdm2/line_white.tga
	q3map_surfacelight 2000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/nookdm2/stripe.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/nookdm2/line_white.tga
		blendfunc add
		rgbGen wave sin 0 0.2 0 7 
	}
	{
		map textures/nookdm2/line_white.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0 1 
	}
}

textures/nookdm2/lamps01
{
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/nookdm2/lamps01.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/nookdm2/lamps01_glow.tga
		blendfunc add
		rgbGen identity
	}
}

textures/nookdm2/lamps01b
{
	qer_editorimage textures/nookdm2/lamps01_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/nookdm2/lamps01.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/nookdm2/lamps01_glow.tga
		blendfunc add
		rgbGen wave inversesawtooth 0.2 0.5 0 4 
	}
}
